// EdIRPrtB.hpp : header file
//

#ifndef _EDIRPRTB_HPP_
#define _EDIRPRTB_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CPA_EdIR_PrintDialog dialog
/////////////////////////////////////////////////////////////////////////////

#include "EdIRRes.h"

class CPA_EdIR_PrintDialog : public CDialog
{
	//Attributes
	private:
		HINSTANCE	m_hOldInstance;

	public:
		CString	m_csBehaviourListName;
		CString	m_csFontName;
		long		m_lFontSize;
		BOOL		m_bIsPreview;
		BOOL		m_bCurrentBehaviour;
		BOOL		m_bAllBehaviours;
		BOOL		m_bAllIA;
		BOOL		m_bOneBehaviourOnAPage;

	// Construction
	public:
		CPA_EdIR_PrintDialog(CString,CString,long,CWnd* pParent = NULL);   // standard constructor
		~CPA_EdIR_PrintDialog();

	// Dialog Data
		//{{AFX_DATA(CPA_EdIR_PrintDialog)
			enum { IDD = IDD_IR_PRINT_DIALOG };
			// NOTE: the ClassWizard will add data members here
		//}}AFX_DATA


	// Overrides
		// ClassWizard generated virtual function overrides
		//{{AFX_VIRTUAL(CPA_EdIR_PrintDialog)
		protected:
			virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
		//}}AFX_VIRTUAL

	// Implementation
	protected:

		// Generated message map functions
		//{{AFX_MSG(CPA_EdIR_PrintDialog)
			afx_msg void OnDestroy();
			afx_msg void OnButtonChangeFont();
			afx_msg void OnButtonPrintPreview();
			virtual void OnOK();
			virtual BOOL OnInitDialog();
	//}}AFX_MSG

		DECLARE_MESSAGE_MAP()
};

#endif //_EDIRPRTB_HPP_
